Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PrimaryUserProfileDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.UserProfileDefinition

                        |

                        +--oracle.ifs.beans.PrimaryUserProfileDefinition

public class PrimaryUserProfileDefinition
extends UserProfileDefinition

The `PrimaryUserProfileDefinition` class is used construct a PrimaryUserProfile object.

See Also:
  `LibraryObjectDefinition`, `PrimaryUserProfile`

Constructor Summary
`PrimaryUserProfileDefinition(LibrarySession session)` Constructs a PrimaryUserProfileDefinition explicitly capturing the session.

Methods inherited from class oracle.ifs.beans.UserProfileDefinition
`addCategoryDefinition`

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### PrimaryUserProfileDefinition

    public PrimaryUserProfileDefinition(LibrarySession session)
                                 throws IfsException

  Constructs a PrimaryUserProfileDefinition explicitly capturing the session.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD